# Componere\Patch::getClosure

(Componere 2 >= 2.1.0)

Componere\Patch::getClosure — Get Closure

### Description

public Componere\Patch::getClosure ( string `$name` ) : \Closure

Shall return a Closure for the method specified by name

### Parameters

`name`

  The case insensitive name of the method

### Return Values

A Closure bound to the correct scope and object

### Exceptions

Warning

Shall throw RuntimeException if `name` could not be found